/**
 * Event arguments for the
 * editModeEntered event.
*/
export class IgcSpreadsheetEditModeEnteredEventArgs {
    /**
     * @hidden
     */
    get i() {
        return this._implementation;
    }
    onImplementationCreated() {
    }
    constructor() {
    }
    _provideImplementation(i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    /**
     * Returns the cell for which the control has entered edit mode.
    */
    get cell() {
        return this.i.cell;
    }
}
